use axum::{
    Router,
    routing::{get, put},
};
use crate::rooms::handler::*;
use crate::utils::db_pool::{AppState, HotelPool};

pub fn rooms_routes() -> Router<AppState> {
    Router::new()
        .route("/", get(hello_rooms))
        .route("/clean_db_update/{room_id}", put(clean_db_update))
        .route("/rooms", get(get_all_rooms))
}
